Subject: Re: [mile] Suresh Krishnan's Discuss on draft-ietf-mile-jsoniodef-10: (with DISCUSS)

From: "Takeshi Takahashi" <[email-masked]>
Date: Mon, 18 Nov 2019 20:33:45 -0800

Hi Suresh,

Thank you for your kind review, and I am sorry for not being able to reply you earlier.
Let me reply your comments here.

> * Section 5 (CDDL) and Appendix B (JSON schema)
> 
> I am trying to understand how "ipv6-net-mask" will be used since there is no such thing, and "ipv6-net" already covers the only possible way of denoting prefixes. Can you please clarify why and how you intend to use this? I remember reading and balloting on RFC7970 and it did not (IMHO rightly) have a category for this.

Yes, we agree on the point.
Since I would like to maintain compatibility with rfc7970 that still has "ipv6-net-mask", we kept it in the revised version of the draft.

Nevertheless, the point you raised is important, thus we added one sentence in Section 3.2 "The "ipv6-net-mask" type attribute of BulkObservable class remains available for the backward compatibility purpose, but the use of this attribute is not recommended because IPV6 does not use netmask any more."

I hope this description is ok for you.

The revised version is available below:
https://datatracker.ietf.org/doc/draft-ietf-mile-jsoniodef/

Thank you, and kind regards,
Take

-----Original Message-----
From: Suresh Krishnan via Datatracker <[email-masked]> 
Sent: Tuesday, September 3, 2019 12:43 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; Nancy Cam-Winget <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Suresh Krishnan's Discuss on draft-ietf-mile-jsoniodef-10: (with DISCUSS)

Suresh Krishnan has entered the following ballot position for
draft-ietf-mile-jsoniodef-10: Discuss

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mile-jsoniodef/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

* Section 5 (CDDL) and Appendix B (JSON schema)

I am trying to understand how "ipv6-net-mask" will be used since there is no such thing, and "ipv6-net" already covers the only possible way of denoting prefixes. Can you please clarify why and how you intend to use this? I remember reading and balloting on RFC7970 and it did not (IMHO rightly) have a category for this.

---

From: Suresh Krishnan <[email-masked]>
Date: Tue, 19 Nov 2019 06:19:46 +0000

Thank you Takahashi-san. The added text addresses my concern. I have cleared.

Regards
Suresh

> On Nov 19, 2019, at 12:33 PM, Takeshi Takahashi <[email-masked]> wrote:
> 
> Hi Suresh,
>